# -*- coding: utf-8 -*-

import pycom , micropython , sys ,  curses
from machine import Pin

p7 = Pin('P7', mode=Pin.OUT)
p11 = Pin('P11', mode=Pin.OUT)
p13 = Pin('P13', mode=Pin.OUT)
p15 = Pin('p15', mode=Pin.OUT)

screen = curses.initscr()
curses.noecho() 
curses.cbreak()
screen.keypad(True)

try:
        while True:   
            char = screen.getch()
            if char == ord('q'):
                break
            elif char == curses.KEY_UP:
                p7(False)
                p11(True)
                p13(False)
                p15(True)
            elif char == curses.KEY_DOWN:
                p7(7,True)
                p11(False)
                p13(True)
                p15(False)
            elif char == curses.KEY_RIGHT:
                p7(True)
                p11(False)
                p13(False)
                p15(True)
            elif char == curses.KEY_LEFT:
                p7(False)
                p11(True)
                p13(True)
                p15(False)
            elif char == 10:
                p7(False)
                p11(False)
                p13(False)
                p15(False)

finally:
    sys.exit(retval=0)